import { login, ModernWarfare, platforms } from './index.js';
import fs from 'fs';

// Login using the SSO token
const ssoToken =
  'MTk1NjgyNzA6MTc0NDQ4OTcxNDE4MDpiOGE2MDEwMzY1ZWQ5OTM0NGM3ZjA0MWQxMTFjMTExNA';

(async () => {
  try {
    await login(ssoToken); // Ensure login is successful before making requests

    // // Fetch player data
    // let gamertag = 'Ahrimdon';
    // let platform = platforms.XBOX; // Use predefined constants for platforms

    // let data = await ModernWarfare.fullData(gamertag, platform);
    // console.log('Fetched data:', data);

    // // Convert data to a JSON string with formatting
    // const jsonData = JSON.stringify(data, null, 2);

    // // Write the JSON data to a file
    // fs.writeFileSync('playerData.json', jsonData);

    // Fetch community map data for a specific map and mode
    const mapData = await ModernWarfare.communityMapDataForMapMode(
      'mp_m_king',
      'gun',
      platforms.XBOX
    );
    console.log('Map data:', mapData);

    // Save to file if needed
    fs.writeFileSync('mapData.json', JSON.stringify(mapData, null, 2));
    console.log('Map data has been saved to mapData.json');

    // console.log('Player data has been saved to playerData.json');
  } catch (error) {
    console.error('Error fetching data:', error);
  }
})();
